import '../entities/tax_form_entity.dart';
import '../repositories/tax_forms_repository.dart';

class SubmitTaxFormUseCase {
  final TaxFormsRepository _repository;

  SubmitTaxFormUseCase(this._repository);

  Future<void> call(TaxFormType type, Map<String, dynamic> data) async {
    return _repository.submitForm(type, data);
  }
}
